'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class; /**
             * Created by tonyjiang on 16/3/14.
             */


var _interface = require('../interface');

var _interface2 = _interopRequireDefault(_interface);

var _chanjetPluginBase = require('chanjet-plugin-base');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 短信插件mock实现类
 * @extends PluginMock,SMSPlugin
 */
var ChoosePhotoPluginMock = (0, _chanjetPluginBase.MockDecorator)(_class = function (_ChoosePhotoPlugin) {
    _inherits(ChoosePhotoPluginMock, _ChoosePhotoPlugin);

    function ChoosePhotoPluginMock() {
        _classCallCheck(this, ChoosePhotoPluginMock);

        return _possibleConstructorReturn(this, (ChoosePhotoPluginMock.__proto__ || Object.getPrototypeOf(ChoosePhotoPluginMock)).apply(this, arguments));
    }

    _createClass(ChoosePhotoPluginMock, [{
        key: 'choosePhoto',
        value: function choosePhoto(options, callback) {
            var requestId = arguments.length <= 2 || arguments[2] === undefined ? '' : arguments[2];

            var resultCode = 0,
                message = '',
                body = {};
            if (this.mockData.status == 'success') {
                resultCode = 0;
                body.data = this.mockData.data;
            } else if (this.mockData.status == 'failed') {
                resultCode = 1;
                message = this.mockData.message;
            } else if (this.mockData.status == 'cancel') {
                resultCode = 2;
            }

            var rs = {
                resultCode: resultCode,
                message: message,
                requestId: requestId,
                body: body
            };

            callback(rs);
        }
    }]);

    return ChoosePhotoPluginMock;
}(_interface2.default)) || _class;

exports.default = ChoosePhotoPluginMock;