/**
 * Created by tonyjiang on 16/3/14.
 */
import ChoosePhotoPlugin from '../interface'
import {MockDecorator} from 'chanjet-plugin-base'

/**
 * 短信插件mock实现类
 * @extends PluginMock,SMSPlugin
 */
@MockDecorator
class ChoosePhotoPluginMock extends ChoosePhotoPlugin{

    choosePhoto(options , callback , requestId = ''){
        let resultCode = 0 , message = '' , body = {};
        if(this.mockData.status == 'success'){
            resultCode = 0;
            body.data = this.mockData.data;
        }else if(this.mockData.status == 'failed'){
            resultCode = 1;
            message = this.mockData.message;
        }else if(this.mockData.status == 'cancel'){
            resultCode = 2;
        }


        const rs = {
            resultCode : resultCode,
            message : message,
            requestId : requestId,
            body : body
        };

        callback(rs);
    }
    
}

export default ChoosePhotoPluginMock